/*
 *  Copyright 2025-2026 R3944Realms
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package top.r3944realms.eroticdungeongame.datagen.value;

import top.r3944realms.eroticdungeongame.content.block.type.*;
import top.r3944realms.eroticdungeongame.core.register.EDGBlocks;
import top.r3944realms.lib39.datagen.provider.subprovider.BlockLootTables;

public class EDGBlockLootTables extends BlockLootTables {
    public EDGBlockLootTables() {
        super(EDGBlocks.BLOCKS);
        dropSelf(EDGBlocks.IRON_CAGE);
        for (RackBlock rackBlock : EDGBlocks.getRackBlocks()) {
            dropSelf(rackBlock);
        }
        for (CuffBedBlock cuffedBlock : EDGBlocks.getCuffedBlocks()) {
            dropSelf(cuffedBlock);
        }
        for (CruxBlock cruxBlock : EDGBlocks.getCruxBlocks()) {
            dropSelf(cruxBlock);
        }
        for (PetrineCrossBlock petrineCrossBlock : EDGBlocks.getPetrineCrossBlocks()) {
            dropSelf(petrineCrossBlock);
        }
        for (XCrossBlock xCrossBlock : EDGBlocks.getXCrossBlocks()) {
            dropSelf(xCrossBlock);
        }
        for (SpanishDonkeyBlock spanishDonkeyBlock : EDGBlocks.getSpanishDonkeyBlocks()) {
            dropSelf(spanishDonkeyBlock);
        }
        for (PilloryBlock pilloryBlock : EDGBlocks.getPilloryBlocks()) {
            dropSelf(pilloryBlock);
        }
        for (WallRackBlock wallRackBlock : EDGBlocks.getWallRackBlocks()) {
            dropSelf(wallRackBlock);
        }
        for (ProneBenchBlock proneBenchBlock : EDGBlocks.getProneBenchBlocks()) {
            dropSelf(proneBenchBlock);
        }
        for (CuffPoleBlock cuffPoleBlock : EDGBlocks.getCuffPoleBlocks()) {
            dropSelf(cuffPoleBlock);
        }
        for (HangingPostBlock hangingPostBlock : EDGBlocks.getHangingPostBlocks()) {
            dropSelf(hangingPostBlock);
        }
        dropSelf(EDGBlocks.DUNGEON_CRAFTING_TABLE);
        dropSelf(EDGBlocks.END_ROD_LOVE_MACHINE);
        dropSelf(EDGBlocks.LIGHTNING_ROD_LOVE_MACHINE);
    }
}
